Package twisted :: Package internet :: Module tcp

[show private | hide private]
[frames | no frames]

## Module twisted.internet.tcp

Various asynchronous TCP/IP classes.

End users shouldn't use this module directly - use the reactor APIs instead.

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`BaseClient` | A base class for client TCP (and similiar) sockets.
`Client` | A TCP client.
`Connection` | I am the superclass of all socket-based FileDescriptors.
`Connector` |
`Port` | I am a TCP server port, listening for connections.
`Server` | Serverside socket-stream connection class.

Variable Summary
`int` | `EALREADY`
`int` | `ECONNRESET`
`int` | `EINPROGRESS`
`int` | `EINVAL`
`int` | `EISCONN`
`int` | `ENOTCONN`
`int` | `EWOULDBLOCK`
`Platform` | `platform`

Variable Details

### EALREADY

  Type:
    `int`
  Value:

        114

### ECONNRESET

  Type:
    `int`
  Value:

        104

### EINPROGRESS

  Type:
    `int`
  Value:

        115

### EINVAL

  Type:
    `int`
  Value:

        22

### EISCONN

  Type:
    `int`
  Value:

        106

### ENOTCONN

  Type:
    `int`
  Value:

        107

### EWOULDBLOCK

  Type:
    `int`
  Value:

        11

### platform

  Type:
    `Platform`
  Value:

        <twisted.python.runtime.Platform instance at 0x8287864>

Generated by Epydoc 1.1 on Sat Feb 15 21:17:52 2003 | http://epydoc.sf.net